## mbarcode-plugin-isbn 0.1.0-0

=== Makefile ===
#############################################################################
# Makefile for building: libmbarcode_isbnplugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Jul 7 13:45:02 2010
# Project:  isbn.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix -o Makefile isbn.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I../.. -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = isbn.cpp moc_isbn.cpp
OBJECTS       = isbn.o \
		moc_isbn.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		isbn.pro
QMAKE_TARGET  = mbarcode_isbnplugin
DESTDIR       = 
TARGET        = libmbarcode_isbnplugin.so
TARGETD       = libmbarcode_isbnplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: isbn.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile isbn.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
/usr/lib/libQtGui.prl:
qmake:  FORCE
	@$(QMAKE) -unix -o Makefile isbn.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mbarcode_isbnplugin1.0.0 || $(MKDIR) .tmp/mbarcode_isbnplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode_isbnplugin1.0.0/ && $(COPY_FILE) --parents isbn.h .tmp/mbarcode_isbnplugin1.0.0/ && $(COPY_FILE) --parents isbn.cpp .tmp/mbarcode_isbnplugin1.0.0/ && (cd `dirname .tmp/mbarcode_isbnplugin1.0.0` && $(TAR) mbarcode_isbnplugin1.0.0.tar mbarcode_isbnplugin1.0.0 && $(COMPRESS) mbarcode_isbnplugin1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode_isbnplugin1.0.0`/mbarcode_isbnplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode_isbnplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_isbn.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_isbn.cpp
moc_isbn.cpp: isbn.h
	/usr/bin/moc $(DEFINES) $(INCPATH) isbn.h -o moc_isbn.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

isbn.o: isbn.cpp isbn.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o isbn.o isbn.cpp

moc_isbn.o: moc_isbn.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_isbn.o moc_isbn.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/share/mbarcode/plugins/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/share/mbarcode/plugins/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/share/mbarcode/plugins/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.0-0) unstable; urgency=low

  * Initial plugin version

 -- Josh Nisly <mbarcode@joshnisly.com>  Wed, 7 Jul 2010 12:54:00 -0500

=== debian/control ===
Source: mbarcode-plugin-isbn
Section: user/utilities 
Priority: extra
Maintainer: Josh Nisly <mbarcode@joshnisly.com>
Build-Depends: libqt4-dev, mbarcode-dev (>=0.1.1-3)
Standards-Version: 3.7.2

Package: mbarcode-plugin-isbn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4, mbarcode
Description: The ISBN plugin looks up ISBN numbers on Amazon.
XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=2740&group_id=732&func=browse

## mbarcode-plugin-isbn 0.1.0-1

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.0-1) unstable; urgency=low

  * Fix packaging

 -- Josh Nisly <mbarcode@joshnisly.com>  Thu,  8 Jul 2010 07:34:44 -0500

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 Package: mbarcode-plugin-isbn
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4, mbarcode
+Depends: ${shlibs:Depends}, ${misc:Depends}, libqt4-core, libqt4-gui, mbarcode
 Description: The ISBN plugin looks up ISBN numbers on Amazon.
 XSBC-Bugtracker: https://garage.maemo.org/tracker/?atid=2740&group_id=732&func=browse

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode-plugin-isbn
builddir:
		mkdir -p builddir

builddir/Makefile: builddir
		cd builddir && qmake-qt4 PREFIX=/usr ../isbn.pro

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode-plugin-isbn 0.1.1-3

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.1-3) unstable; urgency=low

  * Repackaged for PR1.3.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 16:44:00 +0200

mbarcode-plugin-isbn (0.1.1-2) unstable; urgency=low

  * Removed mbarcode dependency.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 19 Aug 2010 13:39:00 +0200

mbarcode-plugin-isbn (0.1.1-1) unstable; urgency=low

  * Rebuild against new plugin API.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 Jul 2010 03:00:00 +0200

mbarcode-plugin-isbn (0.1.1-0) unstable; urgency=low

  * Refactored MainWindow into MaemoBarcodeWindow.
  * Refactored SinkPlugin into PluginAction

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 8 Jul 2010 16:00:00 +0200

## mbarcode-plugin-isbn 0.1.1-4

=== debian/changelog ===
mbarcode-plugin-isbn (0.1.1-4) unstable; urgency=low

  * Bump to rebuild against new plugin API.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thr, 23 Dec 2010 15:00:00 +0000

=== debian/control ===
Source: mbarcode-plugin-isbn
Section: user/utilities 
Priority: extra
Maintainer: Josh Nisly <mbarcode@joshnisly.com>
Build-Depends: libqt4-dev, mbarcode-dev (>=0.1.1-3)
Standards-Version: 3.7.2

Package: mbarcode-plugin-isbn
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: mbarcode-plugin
Description: The ISBN plugin looks up ISBN numbers on Amazon.
XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mbarcode
XB-Maemo-Icon-26:
    iVBORw0KGgoAAAANSUhEUgAAADAAAAAwAQMAAABtzGvEAAAAAXNSR0IArs4c
    6QAAAAZQTFRF////AAAAVcLTfgAAAAlwSFlzAAALEwAACxMBAJqcGAAAAAd0
    SU1FB9kLBxQrHoSyJUkAAAEaSURBVBjTY2CAgPozFXmH/zE4+H3S62KCUX4+
    lRN+FTH4xfTv+wSkHK3XOBUxOMTZJBxiglH1l7au9f7HwCBbvKaDgcHC93Tz
    5gUMppvamJk3wSjPA7uYttkxsPFv83M+xFD9hsW5eAED736e5N17GOoKP/8z
    CYJRdrwdOXwJDPYPm2Ss1zGU7z8Rs7uJwcCpTemfEYwy3fQpp0yJgc/JfLGV
    HoOTclGh9SYG5jMfN31IglH+vT/8a3QYvHzdlM73MHgoWQR7bmJgP3hO+JwS
    Q/HCUzl2ejCKJanIuf8BA4OM5WcPJ4b68xsfceUxOPh2fqpIglF+zlbB9Q+A
    lGfjnjgGvwDGuyZxQL9z99sowKj6c7sfcj+ChiMAEh94eZ/+UpYAAAAASUVO
    RK5CYII=
